using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.register
{
	/// <summary>
	/// usermg 的摘要说明。
	/// </summary>
	public class usermg : System.Web.UI.Page
	{
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面

string struser=sharecode.GetSessionValue(sharecode.strUserSName);
			if(struser=="")
			{
                Page.Response.Cookies[sharecode.strFromUrlSName].Value=Page.Request.Url.AbsoluteUri.ToString();Page.Response.Cookies[sharecode.strFromUrlSName].Expires=System.DateTime.Now.AddMinutes(20);
				Page.Response.Write("<script language=javascript>alert('请先登录再进入个人资料管理');window.location.replace('login.aspx');</script>");
				Page.Response.End();

			}
			/*
			if(sharecode.GetQueryStringValue("meditid")=="")
			{
				sharecode.OutMsgBox("传入的参数有误",true);
			}
			*/
			DTable1.ConnStr =sharecode.ConnStr;
			DTable1.TableName="DTable_User";
			DTable1.List_SQL="select count(*) from DTable_User";
			DTable1.Edit_EnableEdt =true;
			DTable1.List_Enable=false;
			DTable1.Show_Enable=false;
		    DTable1.Edit_FieldList="id,用户名,密码,性别,邮箱,个人爱好,头像,签名,手机号码,门派"; 
			DTable1.Edit_Restriction=" 用户名='" + struser + "'"; 
			DTable1.Edit_FieldFormat="1||userid|用户名|5|25||^2||password|md5|5|25||^3||boolean|男|女|||^4||email|||||^5||checkboxlist|select 技术,技术,类别 from DTable_User_tcList order by 类别||||^6||urlfile|../DTableBBS/img_face/||||^7||htmledit|../DTableBBS/img_up/|||||^8||||||||^9||dbselectvalue|select 门派,门派 from DTable_User_mp||||";

		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
